<?php
require "../../config/config.database.php";
require "../../vendor/autoload.php";
require("../../config/config.function.php");

use PhpOffice\PhpSpreadsheet\Helper\Sample;
use PhpOffice\PhpSpreadsheet\IOFactory;
use PhpOffice\PhpSpreadsheet\Spreadsheet;

$kelas=$_GET['kelas'];
$mapel=$_GET['mapel'];
$guru=$_GET['guru'];
 

$spreadsheet = new Spreadsheet();
$spreadsheet->getProperties()->setCreator('Edi Sukarna')
->setLastModifiedBy('Edi Sukarna')
->setTitle('Office 2007 XLSX')
->setSubject('Office 2007 XLSX')
->setDescription('Test document for Office 2007 XLSX.')
->setKeywords('office 2007 openxml php')
->setCategory('Test result file');

$spreadsheet->getActiveSheet()->getStyle('A1:G1')
    ->getFont()->getColor()->setARGB(\PhpOffice\PhpSpreadsheet\Style\Color::COLOR_WHITE);

    $spreadsheet->getActiveSheet()->getStyle('A1:G1')->getFill()
    ->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)
    ->getStartColor()->setARGB('FFFF0000');



$spreadsheet->setActiveSheetIndex(0)
->setCellValue('A1', "No")
->setCellValue('B1', "ID")
->setCellValue('C1', "Kelas")
->setCellValue('D1', "Mapel") 
->setCellValue('E1', "Nama Siswa")
->setCellValue('F1', "Nilai")
->setCellValue('G1', "KHP")
;


$i=2; 
$no=1; 
$sql = mysqli_query($koneksi, "SELECT * FROM siswa WHERE id_kelas='$kelas' ");
while($row = mysqli_fetch_array($sql)){ 
$spreadsheet->setActiveSheetIndex(0)
	->setCellValue('A'.$i, $no)
	->setCellValue('B'.$i, $row['id_siswa'])
	->setCellValue('C'.$i, $row['id_kelas'])
	->setCellValue('D'.$i, $mapel)
	->setCellValue('E'.$i, $row['nama'])
	->setCellValue('F'.$i, "")
	->setCellValue('G'.$i, "SAS")
		;
	
	$i++; $no++;
}

$spreadsheet->getActiveSheet()->getColumnDimension('A')->setWidth(5); 
$spreadsheet->getActiveSheet()->getColumnDimension('B')->setWidth(0); 
$spreadsheet->getActiveSheet()->getColumnDimension('C')->setWidth(0); 
$spreadsheet->getActiveSheet()->getColumnDimension('D')->setWidth(0); 
$spreadsheet->getActiveSheet()->getColumnDimension('E')->setWidth(35); 
$spreadsheet->getActiveSheet()->getColumnDimension('F')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('G')->setWidth(0); 

$spreadsheet->getActiveSheet()->setTitle('Akhir-Semester-'.$mapel);

$spreadsheet->setActiveSheetIndex(0);


header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

header("Content-Disposition: attachment; filename=Nilai Sumatif Akhir Semester Kelas $kelas Mapel $mapel.xlsx");
header('Cache-Control: max-age=0');

header('Cache-Control: max-age=1');


header('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); 
header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT'); 
header('Cache-Control: cache, must-revalidate'); 
header('Pragma: public');

$writer = IOFactory::createWriter($spreadsheet, 'Xlsx');
$writer->save('php://output');

?>
